Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QLocale.Country

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QLocale.Country

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QLocale

    public static final class QLocale.Country

extends java.lang.Enum
implements QtEnumerator

This enumerated type is used to specify a country.

See also:
  `country()`.

See Also:
  Serialized Form

Field Summary
`static QLocale.Country` | `Afghanistan`
`static QLocale.Country` | `Albania`
`static QLocale.Country` | `Algeria`
`static QLocale.Country` | `AmericanSamoa`
`static QLocale.Country` | `Andorra`
`static QLocale.Country` | `Angola`
`static QLocale.Country` | `Anguilla`
`static QLocale.Country` | `Antarctica`
`static QLocale.Country` | `AntiguaAndBarbuda`
`static QLocale.Country` | `AnyCountry`
`static QLocale.Country` | `Argentina`
`static QLocale.Country` | `Armenia`
`static QLocale.Country` | `Aruba`
`static QLocale.Country` | `Australia`
`static QLocale.Country` | `Austria`
`static QLocale.Country` | `Azerbaijan`
`static QLocale.Country` | `Bahamas`
`static QLocale.Country` | `Bahrain`
`static QLocale.Country` | `Bangladesh`
`static QLocale.Country` | `Barbados`
`static QLocale.Country` | `Belarus`
`static QLocale.Country` | `Belgium`
`static QLocale.Country` | `Belize`
`static QLocale.Country` | `Benin`
`static QLocale.Country` | `Bermuda`
`static QLocale.Country` | `Bhutan`
`static QLocale.Country` | `Bolivia`
`static QLocale.Country` | `BosniaAndHerzegowina`
`static QLocale.Country` | `Botswana`
`static QLocale.Country` | `BouvetIsland`
`static QLocale.Country` | `Brazil`
`static QLocale.Country` | `BritishIndianOceanTerritory`
`static QLocale.Country` | `BritishVirginIslands`
`static QLocale.Country` | `BruneiDarussalam`
`static QLocale.Country` | `Bulgaria`
`static QLocale.Country` | `BurkinaFaso`
`static QLocale.Country` | `Burundi`
`static QLocale.Country` | `Cambodia`
`static QLocale.Country` | `Cameroon`
`static QLocale.Country` | `Canada`
`static QLocale.Country` | `CapeVerde`
`static QLocale.Country` | `CaymanIslands`
`static QLocale.Country` | `CentralAfricanRepublic`
`static QLocale.Country` | `Chad`
`static QLocale.Country` | `Chile`
`static QLocale.Country` | `China`
`static QLocale.Country` | `ChristmasIsland`
`static QLocale.Country` | `CocosIslands`
`static QLocale.Country` | `Colombia`
`static QLocale.Country` | `Comoros`
`static QLocale.Country` | `CookIslands`
`static QLocale.Country` | `CostaRica`
`static QLocale.Country` | `Croatia`
`static QLocale.Country` | `Cuba`
`static QLocale.Country` | `Cyprus`
`static QLocale.Country` | `CzechRepublic`
`static QLocale.Country` | `DemocraticRepublicOfCongo`
`static QLocale.Country` | `DemocraticRepublicOfKorea`
`static QLocale.Country` | `Denmark`
`static QLocale.Country` | `Djibouti`
`static QLocale.Country` | `Dominica`
`static QLocale.Country` | `DominicanRepublic`
`static QLocale.Country` | `EastTimor`
`static QLocale.Country` | `Ecuador`
`static QLocale.Country` | `Egypt`
`static QLocale.Country` | `ElSalvador`
`static QLocale.Country` | `EquatorialGuinea`
`static QLocale.Country` | `Eritrea`
`static QLocale.Country` | `Estonia`
`static QLocale.Country` | `Ethiopia`
`static QLocale.Country` | `FalklandIslands`
`static QLocale.Country` | `FaroeIslands`
`static QLocale.Country` | `FijiCountry`
`static QLocale.Country` | `Finland`
`static QLocale.Country` | `France`
`static QLocale.Country` | `FrenchGuiana`
`static QLocale.Country` | `FrenchPolynesia`
`static QLocale.Country` | `FrenchSouthernTerritories`
`static QLocale.Country` | `Gabon`
`static QLocale.Country` | `Gambia`
`static QLocale.Country` | `Georgia`
`static QLocale.Country` | `Germany`
`static QLocale.Country` | `Ghana`
`static QLocale.Country` | `Gibraltar`
`static QLocale.Country` | `Greece`
`static QLocale.Country` | `Greenland`
`static QLocale.Country` | `Grenada`
`static QLocale.Country` | `Guadeloupe`
`static QLocale.Country` | `Guam`
`static QLocale.Country` | `Guatemala`
`static QLocale.Country` | `Guinea`
`static QLocale.Country` | `GuineaBissau`
`static QLocale.Country` | `Guyana`
`static QLocale.Country` | `Haiti`
`static QLocale.Country` | `HeardAndMcDonaldIslands`
`static QLocale.Country` | `Honduras`
`static QLocale.Country` | `HongKong`
`static QLocale.Country` | `Hungary`
`static QLocale.Country` | `Iceland`
`static QLocale.Country` | `India`
`static QLocale.Country` | `Indonesia`
`static QLocale.Country` | `Iran`
`static QLocale.Country` | `Iraq`
`static QLocale.Country` | `Ireland`
`static QLocale.Country` | `Israel`
`static QLocale.Country` | `Italy`
`static QLocale.Country` | `IvoryCoast`
`static QLocale.Country` | `Jamaica`
`static QLocale.Country` | `Japan`
`static QLocale.Country` | `Jordan`
`static QLocale.Country` | `Kazakhstan`
`static QLocale.Country` | `Kenya`
`static QLocale.Country` | `Kiribati`
`static QLocale.Country` | `Kuwait`
`static QLocale.Country` | `Kyrgyzstan`
`static QLocale.Country` | `Lao`
`static QLocale.Country` | `Latvia`
`static QLocale.Country` | `Lebanon`
`static QLocale.Country` | `Lesotho`
`static QLocale.Country` | `Liberia`
`static QLocale.Country` | `LibyanArabJamahiriya`
`static QLocale.Country` | `Liechtenstein`
`static QLocale.Country` | `Lithuania`
`static QLocale.Country` | `Luxembourg`
`static QLocale.Country` | `Macau`
`static QLocale.Country` | `Macedonia`
`static QLocale.Country` | `Madagascar`
`static QLocale.Country` | `Malawi`
`static QLocale.Country` | `Malaysia`
`static QLocale.Country` | `Maldives`
`static QLocale.Country` | `Mali`
`static QLocale.Country` | `Malta`
`static QLocale.Country` | `MarshallIslands`
`static QLocale.Country` | `Martinique`
`static QLocale.Country` | `Mauritania`
`static QLocale.Country` | `Mauritius`
`static QLocale.Country` | `Mayotte`
`static QLocale.Country` | `MetropolitanFrance`
`static QLocale.Country` | `Mexico`
`static QLocale.Country` | `Micronesia`
`static QLocale.Country` | `Moldova`
`static QLocale.Country` | `Monaco`
`static QLocale.Country` | `Mongolia`
`static QLocale.Country` | `Montserrat`
`static QLocale.Country` | `Morocco`
`static QLocale.Country` | `Mozambique`
`static QLocale.Country` | `Myanmar`
`static QLocale.Country` | `Namibia`
`static QLocale.Country` | `NauruCountry`
`static QLocale.Country` | `Nepal`
`static QLocale.Country` | `Netherlands`
`static QLocale.Country` | `NetherlandsAntilles`
`static QLocale.Country` | `NewCaledonia`
`static QLocale.Country` | `NewZealand`
`static QLocale.Country` | `Nicaragua`
`static QLocale.Country` | `Niger`
`static QLocale.Country` | `Nigeria`
`static QLocale.Country` | `Niue`
`static QLocale.Country` | `NorfolkIsland`
`static QLocale.Country` | `NorthernMarianaIslands`
`static QLocale.Country` | `Norway`
`static QLocale.Country` | `Oman`
`static QLocale.Country` | `Pakistan`
`static QLocale.Country` | `Palau`
`static QLocale.Country` | `PalestinianTerritory`
`static QLocale.Country` | `Panama`
`static QLocale.Country` | `PapuaNewGuinea`
`static QLocale.Country` | `Paraguay`
`static QLocale.Country` | `PeoplesRepublicOfCongo`
`static QLocale.Country` | `Peru`
`static QLocale.Country` | `Philippines`
`static QLocale.Country` | `Pitcairn`
`static QLocale.Country` | `Poland`
`static QLocale.Country` | `Portugal`
`static QLocale.Country` | `PuertoRico`
`static QLocale.Country` | `Qatar`
`static QLocale.Country` | `RepublicOfKorea`
`static QLocale.Country` | `Reunion`
`static QLocale.Country` | `Romania`
`static QLocale.Country` | `RussianFederation`
`static QLocale.Country` | `Rwanda`
`static QLocale.Country` | `SaintKittsAndNevis`
`static QLocale.Country` | `Samoa`
`static QLocale.Country` | `SanMarino`
`static QLocale.Country` | `SaoTomeAndPrincipe`
`static QLocale.Country` | `SaudiArabia`
`static QLocale.Country` | `Senegal`
`static QLocale.Country` | `SerbiaAndMontenegro`
`static QLocale.Country` | `Seychelles`
`static QLocale.Country` | `SierraLeone`
`static QLocale.Country` | `Singapore`
`static QLocale.Country` | `Slovakia`
`static QLocale.Country` | `Slovenia`
`static QLocale.Country` | `SolomonIslands`
`static QLocale.Country` | `Somalia`
`static QLocale.Country` | `SouthAfrica`
`static QLocale.Country` | `SouthGeorgiaAndTheSouthSandwichIslands`
`static QLocale.Country` | `Spain`
`static QLocale.Country` | `SriLanka`
`static QLocale.Country` | `StHelena`
`static QLocale.Country` | `StLucia`
`static QLocale.Country` | `StPierreAndMiquelon`
`static QLocale.Country` | `StVincentAndTheGrenadines`
`static QLocale.Country` | `Sudan`
`static QLocale.Country` | `Suriname`
`static QLocale.Country` | `SvalbardAndJanMayenIslands`
`static QLocale.Country` | `Swaziland`
`static QLocale.Country` | `Sweden`
`static QLocale.Country` | `Switzerland`
`static QLocale.Country` | `SyrianArabRepublic`
`static QLocale.Country` | `Taiwan`
`static QLocale.Country` | `Tajikistan`
`static QLocale.Country` | `Tanzania`
`static QLocale.Country` | `Thailand`
`static QLocale.Country` | `Togo`
`static QLocale.Country` | `Tokelau`
`static QLocale.Country` | `TongaCountry`
`static QLocale.Country` | `TrinidadAndTobago`
`static QLocale.Country` | `Tunisia`
`static QLocale.Country` | `Turkey`
`static QLocale.Country` | `Turkmenistan`
`static QLocale.Country` | `TurksAndCaicosIslands`
`static QLocale.Country` | `Tuvalu`
`static QLocale.Country` | `Uganda`
`static QLocale.Country` | `Ukraine`
`static QLocale.Country` | `UnitedArabEmirates`
`static QLocale.Country` | `UnitedKingdom`
`static QLocale.Country` | `UnitedStates`
`static QLocale.Country` | `UnitedStatesMinorOutlyingIslands`
`static QLocale.Country` | `Uruguay`
`static QLocale.Country` | `USVirginIslands`
`static QLocale.Country` | `Uzbekistan`
`static QLocale.Country` | `Vanuatu`
`static QLocale.Country` | `VaticanCityState`
`static QLocale.Country` | `Venezuela`
`static QLocale.Country` | `VietNam`
`static QLocale.Country` | `WallisAndFutunaIslands`
`static QLocale.Country` | `WesternSahara`
`static QLocale.Country` | `Yemen`
`static QLocale.Country` | `Yugoslavia`
`static QLocale.Country` | `Zambia`
`static QLocale.Country` | `Zimbabwe`

Method Summary
`static QLocale.Country` | `resolve(int value)` Returns the QLocale$Country constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLocale.Country` | `valueOf(java.lang.String name)`
`static QLocale.Country[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AnyCountry

    public static final QLocale.Country AnyCountry

### Afghanistan

    public static final QLocale.Country Afghanistan

### Albania

    public static final QLocale.Country Albania

### Algeria

    public static final QLocale.Country Algeria

### AmericanSamoa

    public static final QLocale.Country AmericanSamoa

### Andorra

    public static final QLocale.Country Andorra

### Angola

    public static final QLocale.Country Angola

### Anguilla

    public static final QLocale.Country Anguilla

### Antarctica

    public static final QLocale.Country Antarctica

### AntiguaAndBarbuda

    public static final QLocale.Country AntiguaAndBarbuda

### Argentina

    public static final QLocale.Country Argentina

### Armenia

    public static final QLocale.Country Armenia

### Aruba

    public static final QLocale.Country Aruba

### Australia

    public static final QLocale.Country Australia

### Austria

    public static final QLocale.Country Austria

### Azerbaijan

    public static final QLocale.Country Azerbaijan

### Bahamas

    public static final QLocale.Country Bahamas

### Bahrain

    public static final QLocale.Country Bahrain

### Bangladesh

    public static final QLocale.Country Bangladesh

### Barbados

    public static final QLocale.Country Barbados

### Belarus

    public static final QLocale.Country Belarus

### Belgium

    public static final QLocale.Country Belgium

### Belize

    public static final QLocale.Country Belize

### Benin

    public static final QLocale.Country Benin

### Bermuda

    public static final QLocale.Country Bermuda

### Bhutan

    public static final QLocale.Country Bhutan

### Bolivia

    public static final QLocale.Country Bolivia

### BosniaAndHerzegowina

    public static final QLocale.Country BosniaAndHerzegowina

### Botswana

    public static final QLocale.Country Botswana

### BouvetIsland

    public static final QLocale.Country BouvetIsland

### Brazil

    public static final QLocale.Country Brazil

### BritishIndianOceanTerritory

    public static final QLocale.Country BritishIndianOceanTerritory

### BruneiDarussalam

    public static final QLocale.Country BruneiDarussalam

### Bulgaria

    public static final QLocale.Country Bulgaria

### BurkinaFaso

    public static final QLocale.Country BurkinaFaso

### Burundi

    public static final QLocale.Country Burundi

### Cambodia

    public static final QLocale.Country Cambodia

### Cameroon

    public static final QLocale.Country Cameroon

### Canada

    public static final QLocale.Country Canada

### CapeVerde

    public static final QLocale.Country CapeVerde

### CaymanIslands

    public static final QLocale.Country CaymanIslands

### CentralAfricanRepublic

    public static final QLocale.Country CentralAfricanRepublic

### Chad

    public static final QLocale.Country Chad

### Chile

    public static final QLocale.Country Chile

### China

    public static final QLocale.Country China

### ChristmasIsland

    public static final QLocale.Country ChristmasIsland

### CocosIslands

    public static final QLocale.Country CocosIslands

### Colombia

    public static final QLocale.Country Colombia

### Comoros

    public static final QLocale.Country Comoros

### DemocraticRepublicOfCongo

    public static final QLocale.Country DemocraticRepublicOfCongo

### PeoplesRepublicOfCongo

    public static final QLocale.Country PeoplesRepublicOfCongo

### CookIslands

    public static final QLocale.Country CookIslands

### CostaRica

    public static final QLocale.Country CostaRica

### IvoryCoast

    public static final QLocale.Country IvoryCoast

### Croatia

    public static final QLocale.Country Croatia

### Cuba

    public static final QLocale.Country Cuba

### Cyprus

    public static final QLocale.Country Cyprus

### CzechRepublic

    public static final QLocale.Country CzechRepublic

### Denmark

    public static final QLocale.Country Denmark

### Djibouti

    public static final QLocale.Country Djibouti

### Dominica

    public static final QLocale.Country Dominica

### DominicanRepublic

    public static final QLocale.Country DominicanRepublic

### EastTimor

    public static final QLocale.Country EastTimor

### Ecuador

    public static final QLocale.Country Ecuador

### Egypt

    public static final QLocale.Country Egypt

### ElSalvador

    public static final QLocale.Country ElSalvador

### EquatorialGuinea

    public static final QLocale.Country EquatorialGuinea

### Eritrea

    public static final QLocale.Country Eritrea

### Estonia

    public static final QLocale.Country Estonia

### Ethiopia

    public static final QLocale.Country Ethiopia

### FalklandIslands

    public static final QLocale.Country FalklandIslands

### FaroeIslands

    public static final QLocale.Country FaroeIslands

### FijiCountry

    public static final QLocale.Country FijiCountry

### Finland

    public static final QLocale.Country Finland

### France

    public static final QLocale.Country France

### MetropolitanFrance

    public static final QLocale.Country MetropolitanFrance

### FrenchGuiana

    public static final QLocale.Country FrenchGuiana

### FrenchPolynesia

    public static final QLocale.Country FrenchPolynesia

### FrenchSouthernTerritories

    public static final QLocale.Country FrenchSouthernTerritories

### Gabon

    public static final QLocale.Country Gabon

### Gambia

    public static final QLocale.Country Gambia

### Georgia

    public static final QLocale.Country Georgia

### Germany

    public static final QLocale.Country Germany

### Ghana

    public static final QLocale.Country Ghana

### Gibraltar

    public static final QLocale.Country Gibraltar

### Greece

    public static final QLocale.Country Greece

### Greenland

    public static final QLocale.Country Greenland

### Grenada

    public static final QLocale.Country Grenada

### Guadeloupe

    public static final QLocale.Country Guadeloupe

### Guam

    public static final QLocale.Country Guam

### Guatemala

    public static final QLocale.Country Guatemala

### Guinea

    public static final QLocale.Country Guinea

### GuineaBissau

    public static final QLocale.Country GuineaBissau

### Guyana

    public static final QLocale.Country Guyana

### Haiti

    public static final QLocale.Country Haiti

### HeardAndMcDonaldIslands

    public static final QLocale.Country HeardAndMcDonaldIslands

### Honduras

    public static final QLocale.Country Honduras

### HongKong

    public static final QLocale.Country HongKong

### Hungary

    public static final QLocale.Country Hungary

### Iceland

    public static final QLocale.Country Iceland

### India

    public static final QLocale.Country India

### Indonesia

    public static final QLocale.Country Indonesia

### Iran

    public static final QLocale.Country Iran

### Iraq

    public static final QLocale.Country Iraq

### Ireland

    public static final QLocale.Country Ireland

### Israel

    public static final QLocale.Country Israel

### Italy

    public static final QLocale.Country Italy

### Jamaica

    public static final QLocale.Country Jamaica

### Japan

    public static final QLocale.Country Japan

### Jordan

    public static final QLocale.Country Jordan

### Kazakhstan

    public static final QLocale.Country Kazakhstan

### Kenya

    public static final QLocale.Country Kenya

### Kiribati

    public static final QLocale.Country Kiribati

### DemocraticRepublicOfKorea

    public static final QLocale.Country DemocraticRepublicOfKorea

### RepublicOfKorea

    public static final QLocale.Country RepublicOfKorea

### Kuwait

    public static final QLocale.Country Kuwait

### Kyrgyzstan

    public static final QLocale.Country Kyrgyzstan

### Lao

    public static final QLocale.Country Lao

### Latvia

    public static final QLocale.Country Latvia

### Lebanon

    public static final QLocale.Country Lebanon

### Lesotho

    public static final QLocale.Country Lesotho

### Liberia

    public static final QLocale.Country Liberia

### LibyanArabJamahiriya

    public static final QLocale.Country LibyanArabJamahiriya

### Liechtenstein

    public static final QLocale.Country Liechtenstein

### Lithuania

    public static final QLocale.Country Lithuania

### Luxembourg

    public static final QLocale.Country Luxembourg

### Macau

    public static final QLocale.Country Macau

### Macedonia

    public static final QLocale.Country Macedonia

### Madagascar

    public static final QLocale.Country Madagascar

### Malawi

    public static final QLocale.Country Malawi

### Malaysia

    public static final QLocale.Country Malaysia

### Maldives

    public static final QLocale.Country Maldives

### Mali

    public static final QLocale.Country Mali

### Malta

    public static final QLocale.Country Malta

### MarshallIslands

    public static final QLocale.Country MarshallIslands

### Martinique

    public static final QLocale.Country Martinique

### Mauritania

    public static final QLocale.Country Mauritania

### Mauritius

    public static final QLocale.Country Mauritius

### Mayotte

    public static final QLocale.Country Mayotte

### Mexico

    public static final QLocale.Country Mexico

### Micronesia

    public static final QLocale.Country Micronesia

### Moldova

    public static final QLocale.Country Moldova

### Monaco

    public static final QLocale.Country Monaco

### Mongolia

    public static final QLocale.Country Mongolia

### Montserrat

    public static final QLocale.Country Montserrat

### Morocco

    public static final QLocale.Country Morocco

### Mozambique

    public static final QLocale.Country Mozambique

### Myanmar

    public static final QLocale.Country Myanmar

### Namibia

    public static final QLocale.Country Namibia

### NauruCountry

    public static final QLocale.Country NauruCountry

### Nepal

    public static final QLocale.Country Nepal

### Netherlands

    public static final QLocale.Country Netherlands

### NetherlandsAntilles

    public static final QLocale.Country NetherlandsAntilles

### NewCaledonia

    public static final QLocale.Country NewCaledonia

### NewZealand

    public static final QLocale.Country NewZealand

### Nicaragua

    public static final QLocale.Country Nicaragua

### Niger

    public static final QLocale.Country Niger

### Nigeria

    public static final QLocale.Country Nigeria

### Niue

    public static final QLocale.Country Niue

### NorfolkIsland

    public static final QLocale.Country NorfolkIsland

### NorthernMarianaIslands

    public static final QLocale.Country NorthernMarianaIslands

### Norway

    public static final QLocale.Country Norway

### Oman

    public static final QLocale.Country Oman

### Pakistan

    public static final QLocale.Country Pakistan

### Palau

    public static final QLocale.Country Palau

### PalestinianTerritory

    public static final QLocale.Country PalestinianTerritory

### Panama

    public static final QLocale.Country Panama

### PapuaNewGuinea

    public static final QLocale.Country PapuaNewGuinea

### Paraguay

    public static final QLocale.Country Paraguay

### Peru

    public static final QLocale.Country Peru

### Philippines

    public static final QLocale.Country Philippines

### Pitcairn

    public static final QLocale.Country Pitcairn

### Poland

    public static final QLocale.Country Poland

### Portugal

    public static final QLocale.Country Portugal

### PuertoRico

    public static final QLocale.Country PuertoRico

### Qatar

    public static final QLocale.Country Qatar

### Reunion

    public static final QLocale.Country Reunion

### Romania

    public static final QLocale.Country Romania

### RussianFederation

    public static final QLocale.Country RussianFederation

### Rwanda

    public static final QLocale.Country Rwanda

### SaintKittsAndNevis

    public static final QLocale.Country SaintKittsAndNevis

### StLucia

    public static final QLocale.Country StLucia

### StVincentAndTheGrenadines

    public static final QLocale.Country StVincentAndTheGrenadines

### Samoa

    public static final QLocale.Country Samoa

### SanMarino

    public static final QLocale.Country SanMarino

### SaoTomeAndPrincipe

    public static final QLocale.Country SaoTomeAndPrincipe

### SaudiArabia

    public static final QLocale.Country SaudiArabia

### Senegal

    public static final QLocale.Country Senegal

### Seychelles

    public static final QLocale.Country Seychelles

### SierraLeone

    public static final QLocale.Country SierraLeone

### Singapore

    public static final QLocale.Country Singapore

### Slovakia

    public static final QLocale.Country Slovakia

### Slovenia

    public static final QLocale.Country Slovenia

### SolomonIslands

    public static final QLocale.Country SolomonIslands

### Somalia

    public static final QLocale.Country Somalia

### SouthAfrica

    public static final QLocale.Country SouthAfrica

### SouthGeorgiaAndTheSouthSandwichIslands

    public static final QLocale.Country SouthGeorgiaAndTheSouthSandwichIslands

### Spain

    public static final QLocale.Country Spain

### SriLanka

    public static final QLocale.Country SriLanka

### StHelena

    public static final QLocale.Country StHelena

### StPierreAndMiquelon

    public static final QLocale.Country StPierreAndMiquelon

### Sudan

    public static final QLocale.Country Sudan

### Suriname

    public static final QLocale.Country Suriname

### SvalbardAndJanMayenIslands

    public static final QLocale.Country SvalbardAndJanMayenIslands

### Swaziland

    public static final QLocale.Country Swaziland

### Sweden

    public static final QLocale.Country Sweden

### Switzerland

    public static final QLocale.Country Switzerland

### SyrianArabRepublic

    public static final QLocale.Country SyrianArabRepublic

### Taiwan

    public static final QLocale.Country Taiwan

### Tajikistan

    public static final QLocale.Country Tajikistan

### Tanzania

    public static final QLocale.Country Tanzania

### Thailand

    public static final QLocale.Country Thailand

### Togo

    public static final QLocale.Country Togo

### Tokelau

    public static final QLocale.Country Tokelau

### TongaCountry

    public static final QLocale.Country TongaCountry

### TrinidadAndTobago

    public static final QLocale.Country TrinidadAndTobago

### Tunisia

    public static final QLocale.Country Tunisia

### Turkey

    public static final QLocale.Country Turkey

### Turkmenistan

    public static final QLocale.Country Turkmenistan

### TurksAndCaicosIslands

    public static final QLocale.Country TurksAndCaicosIslands

### Tuvalu

    public static final QLocale.Country Tuvalu

### Uganda

    public static final QLocale.Country Uganda

### Ukraine

    public static final QLocale.Country Ukraine

### UnitedArabEmirates

    public static final QLocale.Country UnitedArabEmirates

### UnitedKingdom

    public static final QLocale.Country UnitedKingdom

### UnitedStates

    public static final QLocale.Country UnitedStates

### UnitedStatesMinorOutlyingIslands

    public static final QLocale.Country UnitedStatesMinorOutlyingIslands

### Uruguay

    public static final QLocale.Country Uruguay

### Uzbekistan

    public static final QLocale.Country Uzbekistan

### Vanuatu

    public static final QLocale.Country Vanuatu

### VaticanCityState

    public static final QLocale.Country VaticanCityState

### Venezuela

    public static final QLocale.Country Venezuela

### VietNam

    public static final QLocale.Country VietNam

### BritishVirginIslands

    public static final QLocale.Country BritishVirginIslands

### USVirginIslands

    public static final QLocale.Country USVirginIslands

### WallisAndFutunaIslands

    public static final QLocale.Country WallisAndFutunaIslands

### WesternSahara

    public static final QLocale.Country WesternSahara

### Yemen

    public static final QLocale.Country Yemen

### Yugoslavia

    public static final QLocale.Country Yugoslavia

### Zambia

    public static final QLocale.Country Zambia

### Zimbabwe

    public static final QLocale.Country Zimbabwe

### SerbiaAndMontenegro

    public static final QLocale.Country SerbiaAndMontenegro

Method Detail

### values

    public static QLocale.Country[] values()

### valueOf

    public static QLocale.Country valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QLocale.Country resolve(int value)

  Returns the QLocale$Country constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD